#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>

main()
{
	int fd;
	char buf[80];
	read(0,buf,80);
	write(1,buf,80);
	close(0);
	if((fd=open("/etc/passwd",O_RDONLY))!=0)
	{
		perror("open");
		exit(1);
	}
	read(0,buf,80);
	write(1,buf,80);
}
